## org.hibernate.exception.spi
Interface SQLExceptionConversionDelegate

All Known Implementing Classes:
  AbstractSQLExceptionConversionDelegate, CacheSQLExceptionConversionDelegate, SQLExceptionTypeDelegate, SQLStateConversionDelegate

    public interface SQLExceptionConversionDelegate

Allow a `SQLExceptionConverter` to work by chaining together multiple such delegates. The main difference between a delegate and a full-fledged converter is that a delegate may return `null`.

Method Summary
`JDBCException` `convert(SQLException sqlException, String message, String sql)` Convert the given SQLException into the Hibernate `JDBCException` hierarchy.

Method Detail

### convert

    JDBCException convert(SQLException sqlException,
                          String message,
                          String sql)

  Convert the given SQLException into the Hibernate `JDBCException` hierarchy.

  Parameters:
    `sqlException` - The SQLException to be converted.
    `message` - An (optional) error message.
    `sql` - The SQL statement, if one, being performed when the exception occurred.
  Returns:
    The resulting JDBCException, can be `null`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.